<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useOnDuplicateStep](./react.useonduplicatestep.md)

## useOnDuplicateStep() function

<b>Signature:</b>

```typescript
export declare function useOnDuplicateStep(workflow: Workflow, table?: ColumnTable, onSave?: (step: Step, output: string | undefined, index?: number) => void): (_step: Step) => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow |  |
|  table | ColumnTable | <i>(Optional)</i> |
|  onSave | (step: Step, output: string \| undefined, index?: number) =&gt; void | <i>(Optional)</i> |

<b>Returns:</b>

(\_step: Step) =&gt; void

